<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	session_start();
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/income_reason.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	
	$income_reason = new IncomeReason($db);
	$data = json_decode(file_get_contents("php://input"));

	$income_reason->city = $data->city;

	$stmt = $income_reason->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){	
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"income_reason" => $income_reason,
                "id" => (int) $id
			);	
			array_push($arr["records"], $detail);
		}	
	}
	echo json_encode($arr);
?>